/*
 * haup_remote.c
 *
 * Module for handling the Hauppauge Remote Control.
 * Roger Hardiman <roger@freebsd.org>
 * and Bryan Collins <bryan@spirit.net.au>
 * November 1999.
 *
 * Based on the FXTV driver for Hauppauge cards from Jukka Simila
 *
 * (C) 1999 Roger Hardiman
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met: 1. Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer. 2.
 * Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#ifndef __PIXELVIEW_REMOTE_H
#define __PIXELVIEW_REMOTE_H

#include <X11/Intrinsic.h>
#include "remote.h"

#ifdef __cplusplus
extern "C" {
#endif
  
void TVPIXELVIEWREMOTEOpen( XtAppContext       app_ctx, 
                       TVREMOTE_CB_FUNCT *cb );

void TVPIXELVIEWREMOTEFlush( void );

#ifdef __cplusplus
}
#endif

#endif
